import request from '@/utils/new-request'
import { exportExcelNew } from '@/utils/filedown'

export function _outFinanceReport(data) {
  return exportExcelNew('/Finance/DownFinanceReport', data, 'post')
}

export function _outFinanceBranchProfitReport(data) {
  return exportExcelNew('/Finance/DownFinanceBranchProfitReport', data, 'post')
}

export function _queryFinanceReport(data) {
  return request({
    url: '/Finance/GetFinanceReportDetails',
    method: 'post',
    timeout: 60 * 1000,
    data
  })
}
