import request from '@/utils/request'

export function _getTrackingMoreNodeDtos(idStr) {
  let url = '/TrackingMore/getTrackingMoreNodeDtos'
  if (idStr) {
    url += `?ids=${idStr}`
  }
  return request({
    url: url,
    method: 'get'
  })
}

export function _editNote(data) {
  return request({
    timeout: 60000,
    url: '/TrackingMore/EditNote',
    method: 'post',
    data
  })
}

export function _loadSolutions(){
  return request({
    timeout: 60000,
    url: '/TrackingMore/LoadSolutions',
    method: 'post'
  })
}

export function _cloneSolution(data){
  return request({
    timeout: 60000,
    url: '/TrackingMore/CloneSolution',
    method: 'post',
    data
  })
}